Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(49)

Issue 2254673002: Remove dependency on AudioStub in ConnectionToClient (Closed)

Created:
3 years, 1 month ago by Sergey Ulanov
Modified:
3 years ago
Reviewers:
Jamie
CC:
chromium-reviews, chromoting-reviews_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Remove dependency on AudioStub in ConnectionToClient Replaced audio_stub() in ConnectionToClient interface with CreateAudioStream(). The new method returns AudioSendStream which doesn't depend on AudioStub. AudioPump class has been moved to remoting/protocol and it implements AudioSendStream interface for ICE protocol. This change makes it possible to implement audio support in WebrtcConnectionToClient. Also removed verbatim audio codec as it wasn't used anywhere. BUG=638505 Committed: https://crrev.com/cd16e206c2182e96019d58d2fa53f6f9d327e6d4 Cr-Commit-Position: refs/heads/master@{#418002}

Patch Set 1 #

Total comments: 4

Patch Set 2 : address feedback #

Patch Set 3 : . #

Patch Set 4 : BUILD files #

Patch Set 5 : . #

Patch Set 6 : win #

Patch Set 7 : sync #

Patch Set 8 : win #

Unified diffs Side-by-side diffs Delta from patch set Stats (+206 lines, -699 lines) Patch
M remoting/codec/BUILD.gn View 1 2 3 2 chunks +0 lines, -6 lines 0 comments Download
M remoting/codec/audio_decoder.cc View 1 2 1 chunk +1 line, -6 lines 0 comments Download
D remoting/codec/audio_decoder_verbatim.h View 1 1 chunk +0 lines, -32 lines 0 comments Download
D remoting/codec/audio_decoder_verbatim.cc View 1 1 chunk +0 lines, -31 lines 0 comments Download
D remoting/codec/audio_encoder_verbatim.h View 1 1 chunk +0 lines, -31 lines 0 comments Download
D remoting/codec/audio_encoder_verbatim.cc View 1 1 chunk +0 lines, -31 lines 0 comments Download
M remoting/host/BUILD.gn View 1 2 3 4 2 chunks +0 lines, -3 lines 0 comments Download
M remoting/host/audio_capturer.h View 1 chunk +3 lines, -13 lines 0 comments Download
D remoting/host/audio_pump.h View 1 chunk +0 lines, -71 lines 0 comments Download
D remoting/host/audio_pump.cc View 1 chunk +0 lines, -164 lines 0 comments Download
D remoting/host/audio_pump_unittest.cc View 1 chunk +0 lines, -147 lines 0 comments Download
M remoting/host/chromoting_host.cc View 1 chunk +4 lines, -5 lines 0 comments Download
M remoting/host/chromoting_host_unittest.cc View 1 chunk +1 line, -2 lines 0 comments Download
M remoting/host/client_session.h View 1 4 chunks +3 lines, -6 lines 0 comments Download
M remoting/host/client_session.cc View 1 2 3 11 chunks +11 lines, -35 lines 0 comments Download
M remoting/host/client_session_unittest.cc View 2 chunks +5 lines, -6 lines 0 comments Download
M remoting/proto/audio.proto View 1 2 1 chunk +0 lines, -1 line 0 comments Download
M remoting/protocol/BUILD.gn View 1 2 3 2 chunks +3 lines, -0 lines 0 comments Download
A + remoting/protocol/audio_pump.h View 1 5 chunks +18 lines, -18 lines 0 comments Download
A + remoting/protocol/audio_pump.cc View 1 6 chunks +32 lines, -30 lines 0 comments Download
A + remoting/protocol/audio_pump_unittest.cc View 1 9 chunks +16 lines, -16 lines 0 comments Download
A + remoting/protocol/audio_source.h View 2 chunks +9 lines, -13 lines 0 comments Download
A remoting/protocol/audio_stream.h View 1 1 chunk +27 lines, -0 lines 0 comments Download
M remoting/protocol/connection_to_client.h View 1 3 chunks +10 lines, -6 lines 0 comments Download
M remoting/protocol/connection_unittest.cc View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/fake_connection_to_client.h View 1 3 chunks +2 lines, -3 lines 0 comments Download
M remoting/protocol/fake_connection_to_client.cc View 1 2 3 4 5 2 chunks +6 lines, -2 lines 0 comments Download
M remoting/protocol/ice_connection_to_client.h View 1 3 chunks +5 lines, -2 lines 0 comments Download
M remoting/protocol/ice_connection_to_client.cc View 1 4 chunks +37 lines, -4 lines 0 comments Download
M remoting/protocol/protocol_mock_objects.h View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/webrtc_connection_to_client.h View 1 1 chunk +2 lines, -1 line 0 comments Download
M remoting/protocol/webrtc_connection_to_client.cc View 1 2 3 4 5 6 7 3 chunks +6 lines, -4 lines 0 comments Download
M remoting/test/it2me_standalone_host.cc View 1 2 3 4 2 chunks +3 lines, -8 lines 0 comments Download

Messages

Total messages: 42 (24 generated)
Sergey Ulanov
3 years, 1 month ago (2016-08-17 06:58:01 UTC) #2
Jamie
lgtm https://codereview.chromium.org/2254673002/diff/1/remoting/protocol/audio_send_stream.h File remoting/protocol/audio_send_stream.h (right): https://codereview.chromium.org/2254673002/diff/1/remoting/protocol/audio_send_stream.h#newcode12 remoting/protocol/audio_send_stream.h:12: // and sending it to the client. Since ...
3 years, 1 month ago (2016-08-17 18:17:30 UTC) #3
Sergey Ulanov
https://codereview.chromium.org/2254673002/diff/1/remoting/protocol/audio_send_stream.h File remoting/protocol/audio_send_stream.h (right): https://codereview.chromium.org/2254673002/diff/1/remoting/protocol/audio_send_stream.h#newcode12 remoting/protocol/audio_send_stream.h:12: // and sending it to the client. On 2016/08/17 ...
3 years, 1 month ago (2016-08-18 00:32:57 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2254673002/20001
3 years, 1 month ago (2016-08-18 00:38:46 UTC) #8
commit-bot: I haz the power
Try jobs failed on following builders: chromeos_amd64-generic_chromium_compile_only_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromeos_amd64-generic_chromium_compile_only_ng/builds/185343) mac_chromium_rel_ng on master.tryserver.chromium.mac (JOB_FAILED, ...
3 years, 1 month ago (2016-08-18 00:49:35 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2254673002/40001
3 years, 1 month ago (2016-08-18 18:04:51 UTC) #13
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/276219)
3 years, 1 month ago (2016-08-18 18:28:47 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2254673002/60001
3 years ago (2016-09-09 18:02:05 UTC) #18
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_compile_dbg_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_compile_dbg_ng/builds/154798)
3 years ago (2016-09-09 18:29:31 UTC) #20
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2254673002/80001
3 years ago (2016-09-09 19:30:26 UTC) #23
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_x64_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_x64_rel_ng/builds/277491)
3 years ago (2016-09-09 20:09:31 UTC) #25
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2254673002/100001
3 years ago (2016-09-09 22:56:28 UTC) #28
commit-bot: I haz the power
Try jobs failed on following builders: mac_chromium_rel_ng on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/mac_chromium_rel_ng/builds/294024)
3 years ago (2016-09-09 22:59:28 UTC) #30
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2254673002/120001
3 years ago (2016-09-09 23:58:26 UTC) #33
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_x64_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_x64_rel_ng/builds/277720)
3 years ago (2016-09-10 00:40:35 UTC) #35
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2254673002/140001
3 years ago (2016-09-12 17:47:38 UTC) #38
commit-bot: I haz the power
Committed patchset #8 (id:140001)
3 years ago (2016-09-12 19:29:33 UTC) #40
commit-bot: I haz the power
3 years ago (2016-09-12 19:32:08 UTC) #42
Message was sent while issue was closed.
Patchset 8 (id:??) landed as
https://crrev.com/cd16e206c2182e96019d58d2fa53f6f9d327e6d4
Cr-Commit-Position: refs/heads/master@{#418002}

Powered by Google App Engine
This is Rietveld 408576698